﻿@model List<Instargram.Models.Publication>
@{
    ViewData["Title"] = "Home Page";
}

<div class="text-center">
    @if (User.Identity.IsAuthenticated)
    {
        @foreach (var item in Model)
         {
             <a asp-controller="Publication" asp-action="Details" asp-route-publicationId="@item.Id"><img src="@item.ImagePath"/></a>
             <p>@item.Desc</p>
         }
    }
    
</div>
